# sdl2-hello-world

A beginner template for SDL2 powered by CMake.

## Setup

1. Clone this repo.
2. Download the **SDL2 Development Libraries** from the [official download page](https://www.libsdl.org/download-2.0.php).
   - For Windows
     1. Unpack the **MSVC** archive under `dependencies` folder in this project's root.
     2. Rename the directory as `SDL2`.
   - For macOS
     
     `TODO`
   
   _Alternatively, on Windows, you can link the external libraries via symlink._
3. Build the following dependencies first:
   - `portmidi`
   - `libwebsockets` (follow the [instructions on building LWS](https://libwebsockets.org/lws-api-doc-master/html/md_README_8build.html))
4. Build via CMake.
