#include "IZ_vector2d.h"

IZ_Vector2D IZ_Vector2DAdd(IZ_Vector2D addend, IZ_Vector2D augend) {
	return (IZ_Vector2D) {
		.right = addend.right + augend.right,
		.up = addend.up + augend.up,
	};
}

IZ_Vector2D IZ_Vector2DMultiply(IZ_Vector2D multiplicand, IZ_Vector2D multiplier) {
	return (IZ_Vector2D) {
		.right = multiplicand.right * multiplier.right,
		.up = multiplicand.up * multiplier.up,
	};
}

IZ_Vector2D IZ_Vector2DScale(IZ_Vector2D vector, f32 scalar) {
	return (IZ_Vector2D) {
		.right = vector.right * scalar,
		.up = vector.up * scalar,
	};
}
